Pagina 1 di 1

loop avvio unity dopo aggiornamenti (non risolto)

MessaggioInviato: giovedì 17 agosto 2017, 23:14
da Vacas02
Buonasera a tutti, uso da diversi anni Ubuntu (da cinque come SO principale). Per la prima volta mi trovo a scrivere per chiedere aiuto, non avendo trovato soluzione.
Avvio il PC fino alla schermata di login, a questo punto se provo ad accedere con Unity mi riporta nuovamente al login.
Stesso problema con gnome-compiz, ho installato gnome-panel (flashback/fullback).
Riesco ad accedere "solo" con la sessione gnome-metacity. La combinazione di tasti Ctrl+alt+F1 mi porta ad una schermata rossa, non alla riga di comando.
Idee su come risolvere il problema?

Grazie, Salvatore

P.S. Dopo una ricerca in rete e visti i problemi, ho cancellato la partizione di root (Ubuntu 14.04). Sono così passato a Ubuntu 16.04 che avevo già sull'altra partizione. Ritengo che il mio problema fosse dovuto ad un errore di sistema di difficile soluzione, almeno da quel che ho letto in giro.
Grazie a tutti per il tempo dedicatomi.

Re: loop avvio unity dopo aggiornamenti

MessaggioInviato: venerdì 18 agosto 2017, 4:15
da jofor
Probabilmente fa doppio login, con unity e gnome, leva gnome-panel. Ciao

Re: loop avvio unity dopo aggiornamenti

MessaggioInviato: venerdì 18 agosto 2017, 7:09
da trekfan1
Prova con CTRL+ALT+F2 per vedere se riesci ad accedere alla console e prova a cancellare il file .Xauthority

Re: loop avvio unity dopo aggiornamenti

MessaggioInviato: venerdì 18 agosto 2017, 7:27
da Vacas02
Grazie delle risposte.
Per Trekfan: avevo già provato la tua soluzione, senza successo. (Non è servito cancellare Xauthority).
In giornata provo a togliere gnome-panel, come suggerito da Jofor.

Salvatore

Re: loop avvio unity dopo aggiornamenti

MessaggioInviato: venerdì 18 agosto 2017, 9:08
da Vacas02
Anche togliendo gnome-panel non ho risolto, grazie Jofor. Però adesso accetta il comando Ctrl+alt+F1 (F2....F6)
Ho provato anche:
sal@sal:~$ sudo dpkg-reconfigure lightdm
sal@sal:~$ sudo apt-get install --reinstall ubuntu-desktop

Se qualcuno ha qualche altra idea... Grazie

Re: loop avvio unity dopo aggiornamenti

MessaggioInviato: venerdì 18 agosto 2017, 9:32
da pachisapiu
Hai provato ad avviare con un kernel vecchio ? che ubuntu è ? hai aggiunto ppa ?

Re: loop avvio unity dopo aggiornamenti

MessaggioInviato: venerdì 18 agosto 2017, 9:39
da Vacas02
Ubuntu 14.04.5 LTS x86_64 - come da profilo.
Ho rimosso tutti i vecchi kernel. Ho provato anche a reinstallare, ho una copia fatta con systemback (si avvia con vecchi kernel), ma dopo gli ultimi aggiornamenti torna in loop.
Sì ho aggiunto PPA.

Io pensavo più ad un problema con Compiz (si avvia con gnome flashback-metacity).
Grazie

Re: loop avvio unity dopo aggiornamenti

MessaggioInviato: venerdì 18 agosto 2017, 9:48
da pachisapiu
potresti provare a reinstallare la copia di backup e prima di fare aggiornamenti eliminare tutti i ppa

Re: loop avvio unity dopo aggiornamenti

MessaggioInviato: venerdì 18 agosto 2017, 9:56
da Vacas02
Proverò in giornata. Grazie

Re: loop avvio unity dopo aggiornamenti

MessaggioInviato: venerdì 18 agosto 2017, 16:40
da Vacas02
Niente, dopo l'aggiornamento non va neanche con il kernel precedente.

Re: loop avvio unity dopo aggiornamenti

MessaggioInviato: venerdì 18 agosto 2017, 18:03
da Vacas02
Ho provato anche a rimuovere l'ultimo aggiornamento, lasciando il solo kernel precedente. Ma il problema rimane. Immagino sia l'aggiornamento di qualche pacchetto.
Aggiornamento: ho dato il seguente comando
Codice: Seleziona tutto
sal@sal:~$     sudo dpkg -l nvidia*
Voluto=U (non noto)/I (installato)/R (rimosso)/P (rimosso totale)/H (in attesa)
| Stato=Non/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(nessuno)/R (reinstallazione richiesta) (Stato,Err: maiuscolo=grave)
||/ Nome           Versione     Architettura Descrizione
+++-==============-============-============-=================================
un  nvidia-common  <nessuna>    <nessuna>    (nessuna descrizione disponibile)
un  nvidia-cuda-to <nessuna>    <nessuna>    (nessuna descrizione disponibile)
un  nvidia-libopen <nessuna>    <nessuna>    (nessuna descrizione disponibile)
un  nvidia-prime   <nessuna>    <nessuna>    (nessuna descrizione disponibile)
un  nvidia-vdpau-d <nessuna>    <nessuna>    (nessuna descrizione disponibile)

Nvidia Xserver però mi dice che ho la versione 346.59